from items import *
from player import *
from map import *

def open_diary():
    if item_diary in inventory:
        print("You opened the diary and found a hidden note.")
        inventory.append(item_note)
        item_diary.update({"open": True})
    else:
        print("You cannot open that.")


def open_safe():
    global safe_opened
    print("To open this safe you need a passcode")
    print("please enter the passcode")
    passcode = input()
    if passcode == "042":
        print("THE PASSCODE WAS CORRECT!")
        print("inside the safe you found a pair of batteries")
        inventory.append(item_batteries)
        item_safe.update({"open": True})


def use_battery():
    if item_batteries in inventory:
        if unpowered_torch in inventory:
            inventory.remove(item_batteries)
            inventory.remove(unpowered_torch)
            inventory.append(powered_torch)
        else:
            print("You have no items in your inventory that uses a battery")


def use_torch(room):
    if powered_torch in inventory:
        print(room)
        if room == location_dark_corner:
            print("true")
            room["items"].append(item_key)
        else:
            print("There is no use for the torch in this room")
    elif unpowered_torch in inventory:
        print("You flick the on/off button but the torch wouldn't turn on, "
              "(try finding some batteries to power the torch)")
    else:
        print("you cannot do that")


def read_note():
    if item_note in inventory:
        print("You read the note and notice a strange puzzle")
        print("682 >> one digit is correct & well placed")
        print("614 >> one digit is correct but wrong placed")
        print("206 >> two numbers are correct but wrong placed")
        print("738 >> nothing is correct")
        print("870 >> one number is correct but wrong placed")
    else:
        print("There is no note to read")
